LOSETUP(8)

NOM
losetup - Mettre en place et contrôler des périphériques boucle

SYNOPSIS
Obtenir des informations :

losetup périphérique_boucle

losetup -l [-a]

losetup -j fichier [-o position]

Détacher un périphérique boucle :

losetup -d périphérique_boucle ...

Détacher tous les périphériques boucle associés :

losetup -D

Afficher le nom du premier périphérique boucle disponible :

losetup -f

Mettre en place un périphérique boucle :

losetup [-o position] [--sizelimit taille]
[-Pr] [--show] -f|périphérique_boucle fichier

Redimensionner un périphérique boucle :

losetup -c périphérique_boucle

DESCRIPTION
losetup est utilisé pour associer les périphériques boucle avec des fichiers normaux ou des périphériques bloc, pour détacher et pour connaître l'état d'un périphérique boucle. Si seul l'argument périphérique_boucle est fourni, l'état actuel du périphérique correspondant est affiché. Sans options, tous les périphériques boucle sont affichés.

Remarquez que l’ancien format de sortie (c’est-à-dire losetup -a) avec des chaînes séparées par des virgules est obsolète, le format de sortie --list devrait être utilisé à la place.

OPTIONS
Les arguments taille et position peuvent être suivis des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-a, --all
    Montrer l’état de tous les périphériques boucle. Remarquez que tous les renseignements ne sont pas accessibles aux utilisateurs ordinaires. Consultez également --list. L’ancien format de sortie (tel qu’affiché sans --list)) est obsolète.

-c, --set-capacity périphérique_boucle
    Forcer le pilote de boucle à relire la taille du fichier associé au périphérique boucle indiqué.

-d, --detach périphérique_boucle ...
    Détacher le fichier ou le périphérique associé au ou aux périphériques boucle indiqués.

-D, --detach-all
    Détacher tous les périphériques boucle associés.

-f, --find
    Déterminer le premier périphérique boucle non utilisé. Si un argument fichier est fourni, utiliser le périphérique trouvé comme un périphérique boucle, sinon, afficher son nom.

-j, --associated fichier
    Montrer l'état de tous les périphériques boucle associés au fichier.

-l, --list
    Si un périphérique boucle ou que l’option -a est indiquée, afficher les colonnes par défaut pour soit le périphérique boucle indiqué, soit tous les périphériques boucle. Les informations sur tous les périphériques sont affichées par défaut. Consultez également --output, --noheadings et --raw.

-n, --noheadings
    Ne pas afficher les en-têtes pour le format de sortie --list.

-o, --offset position
    Le début des données est déplacé de position octets dans le fichier ou le périphérique indiqués.

-O, --output colonnes
    Indiquer les colonnes à afficher pour le format de sortie --list.

-P, --partscan
    Forcer le noyau à analyser la table de partitions sur un périphérique boucle nouvellement créé.

--raw
    Utiliser l'affichage au format --list brut.

-r, --read-only
    Configurer un périphérique boucle en lecture seule.

--sizelimit taille
    La fin des données est définie au maximum à taille octets après le début des données.

--show
    Afficher le nom du périphérique boucle assigné si l'option -f et un argument fichier sont présents.

-v, --verbose
    Mode verbeux.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

CHIFFREMENT
cryptoloop n’est plus pris en charge, remplacé par dm-crypt. Pour plus de précisions, consultez cryptsetup(8).

VALEUR DE RETOUR
losetup renvoie 0 en cas de réussite et une valeur non nulle en cas d'échec. Lorsque losetup affiche l'état actuel d'un périphérique boucle, il renvoie 1 si le périphérique n'est pas configuré et 2 si une erreur est survenue et a empêché de déterminer l'état du périphérique.

FICHIERS

/dev/loop[0..N]
    périphériques bloc boucle

/dev/loop-control
    périphériques de contrôle boucle

EXEMPLE
Les commandes suivantes sont des exemples d'utilisation du périphérique boucle :

    # dd if=/dev/zero of=~/fichier.img bs=1MiB count=10
    # losetup --find --show ~/fichier.img
    /dev/loop0
    # mkfs -t ext2 /dev/loop0
    # mount /dev/loop0 /mnt
     ...
    # umount /dev/loop0
    # losetup --detach /dev/loop0

ENVIRONNEMENT

LOOPDEV_DEBUG=all
    Activer la sortie de débogage.

AUTEURS
Karel Zak <kzak@redhat.com> à partir de la version originale de Theodore Ts'o <tytso@athena.mit.edu>

DISPONIBILITÉ
La commande losetup fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Thierry Vignaud <tvignaud AT mandrakesoft DOT com> en 1999. La version présente dans Debian est maintenue par Jean-Baka Domelevo-Entfellner <domelevo AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.